Ticket #8 (closed defect: duplicate)

Opened 9 years ago

Last modified 4 years ago

savannah: Bad shell activity detection

Reported by: luk Owned by:
Priority: minor Milestone: 4.7
Component: mc-core Version:
Keywords: Cc:
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?11982

Submitted by:Lukas Jelinek <luk>Submitted on:Mon 14 Feb 2005 09:30:32 AM UTC
Category:SubshellSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:4.5.55Operating System:GNU/Linux

Original submission:

MC sometimes reject to run a program due to "shell activity", but 
the subshell does currently nothing (no child process executed).

Comment 1 by Pavel Tsekov <ptsekov> at Tue 15 Feb 2005 03:09:17 PM UTC:

This is a known problem. As a workaround you can hit the 'Enter' key
 and then execute the command.

Comment 2 by Anonymous at Tue 15 Feb 2005 10:17:54 PM UTC:

Yes, this may be a known problem, but ít is now solved. So what?!

Comment 3 by Anonymous at Tue 15 Feb 2005 10:19:05 PM UTC:

Sorry, wanted to say "but it is NOT now solved"...

Comment 4 by Pavel Tsekov <ptsekov> at Wed 16 Feb 2005 01:43:27 PM UTC:

Correct. It is not solved, but we are aware of the problem and 
eventually it will be fixed in the near future. This is particulary 
nasty bug and we haven't come up with a viable solution so far. You 
can see though that this issue and a possible fix have been 
discussed on the MC developers list:

http://mail.gnome.org/archives/mc-devel/2004-November/msg00199.html

Unfortunately the solution wasn't good enough. So we wait for a 
better solution to show up.

Change History

comment:1 Changed 9 years ago by slavazanko

In 4.6.3 this partially fixed.

Busy shell now detected by last pressed key (Enter).
This don't good fix, I known. But it is less irritating than before

comment:2 Changed 9 years ago by styx

  • Milestone set to 4.7

comment:3 Changed 9 years ago by angel_il

  • Status changed from new to closed
  • Resolution set to duplicate

see #213

Last edited 4 years ago by andrew_b (previous) (diff)

comment:4 Changed 4 years ago by ossi

  • Description modified (diff)
  • Branch state set to no branch
  • Reporter changed from slavazanko to luk
Note: See TracTickets for help on using tickets.